/*===============================================
------------ Font & Color Variables -------------
===============================================*/
/* Fonts */
:root {
  --default-font: "Montserrat", system-ui, -apple-system, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  --heading-font: "Montserrat", sans-serif;
  --nav-font: "Montserrat", sans-serif;
}
.figtree-<uniquifier> {
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
}

/* Global Colors */
:root { 
  --default-color: #ff0013;
  --dark-color: #000000;
  --contrast-color: #ffffff; 
  --hover-color: #cc0000;
  --default-text:#ff0013;
  --dark-text:#000000;
  --light-text: #ffffff; 
  --gray-text:#818181;  
  --hover-text: #cc0000;
}
.gray-bg{
  background:#f5f5f5;
}

/* Nav Menu Colors */
:root {
  --nav-color: #000000;  
  --nav-hover-color: #ff0013;
  --nav-mobile-background-color: #004e98; 
}

/* Smooth scroll */
:root {
  scroll-behavior: smooth;
}

/*===============================================
--------------- General Styling -----------------
===============================================*/
body {
  color: var(--dark-text);
  font-family: var(--default-font);
  background-color: var(--contrast-color);
}
a {
  color: var(--default-text);
  text-decoration: none;
  transition: 0.3s;
}
a:hover {
  color: var(--hover-text);
  text-decoration: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--dark-text);
  font-family: var(--heading-font);
}
.image-container{
  overflow:hidden;
  position:relative;
  touch-action:none;
}
.zoom-image{
  width:100%;
  display:block;
  transform-origin:center center;
  touch-action:none;
  user-select:none;
  -webkit-user-select:none;
  -webkit-user-drag:none;
  will-change:transform;
  cursor:grab;
  backface-visibility:hidden;
  -webkit-backface-visibility:hidden;
}
input:focus, select:focus{
  outline: 0 !important;
  box-shadow: none !important;
  border-color:#dee2e6 !important;
}
.section-header{
  text-align: center;
}
.section-header h2{
  font-size: 53px;
  font-weight: 700;
  margin-bottom: 50px;
}
.section-header p{
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 2.5em;
}
#BiopicsAboutMe, #BiopicsTeachingApproach, #BiopicsStudentReviews, #BiopicsContactMe{
  scroll-margin-top:50px;
}

/*===============================================
------------------ Common CTA -------------------
===============================================*/
#backToTop{
  position: fixed;
  right: 20px;
  bottom: 20px;
  width: 45px;
  height: 45px;
  background: var(--default-color);
  color:var(--contrast-color);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  font-size: 17px;
  opacity: 0;
  visibility: hidden;
  transition: all .3s ease;
  z-index: 999;
  box-shadow: 0 4px 15px rgba(0,0,0,.15);
}
#backToTop.active{
  opacity: 1;
  visibility: visible;
}
#backToTop:hover{
  transform: translateY(-3px);
}
.floating-cta{
  position:fixed;
  right:20px;
  bottom:10%;
  transform:translateY(-50%);
  z-index:9999;
  display:flex;
  flex-direction:column;
  gap:15px;
}
.cta-btn{
  width:45px;
  height:45px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  color:var(--light-text);
  text-decoration:none;
  font-size:20px;
  transition:.3s ease;
  background: var(--default-color);
}
.cta-btn:hover{
  background: var(--hover-color);
  color: var(--light-text);
}
.cta-btn  i.fa-phone{
  font-size: 16px;
}
.floating-cta.mobile-view{
  display: none;
}

/*===============================================
------------- Global Header & Footer ------------
===============================================*/
.header {
  color: var(--dark-text);
  background-color: var(--contrast-color);
  transition: all 0.5s;
  z-index: 997;  
}
.scrolled .header{
  box-shadow: 0px 0 18px rgba(0, 0, 0, 0.1);
}
.header .branding {
  min-height:85px;
  padding: 10px 0;
}
.header .logo {
  line-height: 1;
}
.header .logo img {
  max-width: 72%;
}
.footer-wrap{
  background: var(--default-color);
  padding: 25px 0;
}
.footer-wrap p{
  margin-bottom: 0;
  font-weight: 500;
  color: var(--light-text);
}
.footer-wrap p a{
  color: var(--light-text);
  text-decoration: underline;
}

/*===============================================
---------------- Navigation Menu ----------------
===============================================*/
@media (min-width: 1200px) {
  .navmenu {
    padding: 0;
  }
  .navmenu ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }
  .navmenu li {
    position: relative;
  }
  .navmenu a,
  .navmenu a:focus {
    color: var(--dark-text);
    padding: 18px 15px;
    font-size: 17px;
    font-family: var(--nav-font);
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: 0.3s;
  }
  .navmenu li:hover>a,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--default-text);
  }
}

/* Navmenu - Mobile */
@media (max-width: 1199px) {
  .mobile-nav-toggle {
    color: var(--default-color);
    font-size: 28px;
    line-height: 0;
    cursor: pointer;
    transition: color 0.3s;
  }
  .mobile-nav-active .mobile-nav-toggle {
    color: var(--default-color);
    position: absolute;
    top: 42px;
    right: 12px;
    z-index: 9999;
  }
  .navmenu {
    padding: 0;
    z-index: 9997;
  }
  .navmenu ul {
    display: none;
    list-style: none;
    position: absolute;
    inset: 85px 15px 20px 15px;
    padding: 10px 0;
    max-height: 250px;
    margin: 0;
    border-radius: 6px;
    background-color: var(--contrast-color);
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }
  .navmenu li:hover>a,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--default-text);
  }
  .navmenu a,
  .navmenu a:focus {
    color: var(--nav-dropdown-color);
    padding: 10px 20px;
    font-family: var(--nav-font);
    font-size: 17px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: 0.3s;
  } 
  .mobile-nav-active {
    overflow: hidden;
  }
  .mobile-nav-active .navmenu {
    position: fixed;
    overflow: hidden;
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
    transition: 0.3s;
  }
  .mobile-nav-active .navmenu>ul {
    display: block;
  }
}

/*===============================================
------------------ Main Hero --------------------
===============================================*/

.hero-slider-wrap{
  padding: 1.5em 0 6em 0;
  position: relative;
}
.hero-section{
  background: var(--contrast-color);
}
.hero-section .row{
  align-items: center;
}
.hero-slider-text h2{
  font-size: 35px;
  font-weight: 700;
  margin-bottom: 5px;
}
.hero-slider-text p{
  font-size: 16px;
  font-weight: 500;
  color: var(--default-text);
}
.hero-section .carousel{
  background: #f8f8f8;
  padding: 10px;
  border-radius: 8px;
}
.hero-slider-img{
  display: block;
  max-width: 100%;  
}
.hero-section .carousel-indicators [data-bs-target] {    
  width: 10px;
  height: 10px;
  border-radius: 50%;
  margin-right: 4px;
  margin-left: 4px;
  background-color: #ff0013;
}
.hero-section .carousel-indicators {
  bottom: -38px;
  margin-bottom: 0;
}
.hero-section .carousel-control-next, .hero-section .carousel-control-prev {    
  top: 45%;    
  width: 40px;
  height: 40px;
  background: var(--default-color);
  border-radius: 80px;
  opacity: 1;
}
.hero-section .carousel-control-next:hover, .hero-section .carousel-control-prev:hover {  
  background: var(--hover-color);
  transition: 0.5s;
}
.hero-section .carousel-control-next {
  right: -2%;
}
.hero-section .carousel-control-prev {
  left: -2%;
}
.hero-section  .carousel-control-next-icon, .hero-section  .carousel-control-prev-icon {
  width: 1.3rem;
  height: 1.3rem
}

/*===============================================
------------------- Ribbon ----------------------
===============================================*/
.ribbon-wrap{
  background: var(--default-color);
  padding: 30px 0;
}
.ribbon-text-left{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 40px;
}
.ribbon-text-left p{
  font-size: 28px;
  color: var(--light-text);
  margin-bottom: 0;
  font-weight: 600;
  background: var(--default-color);
  border-radius: 50px;
}
.youtube-link{
  line-height: unset;
  margin-top: 5px;
  text-align: right;
}
.youtube-link a i{
  color: var(--contrast-color);
  font-size: 30px;
}

/*===============================================
---------------- About Me -----------------
===============================================*/
.aboutMe-wrapper{
 padding: 6em 0 1em 0;
}
.aboutME-content{
  padding-right: 1.5em;
  text-align: justify;
}
.aboutME-content p, .aboutME-content h1{
  font-size: 16px;
  font-weight: 500;
  line-height: 25px;
}
.section-card-banner{
  background: #f8f8f8;
  padding: 15px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  min-height: 330px;
  border-radius: 10px;
  border: 1px solid #eaeaea;
}
.brand-logo{
 position: absolute;
 left: 5%;
 top: 6%;
}
.brand-logo img{
  max-width: 60%;
}
.section-card-banner h2{
  font-size: 28px;
  font-weight: 600;
  margin-bottom: 10px;
}
.section-card-banner a i{
  font-size: 4em;
}

/*===============================================
---------------- Teaching Approach --------------
===============================================*/
.teaching-approach-wrap{
  padding: 5em 0 1em 0;
}
.teaching-approach-wrap .section-header h2{
  margin-bottom: 15px;
}
.teaching-approach-wrap .section-card-banner{
  min-height: 300px;
}
.teaching-approach-wrap .section-card-banner h2{
  margin-top: 30px;
}
.main-heading h2{
  font-size: 18px;
  margin: 50px 0 30px 0;
  line-height: 28px;
}
.teaching-approach-card{
  padding: 20px;
  border-radius: 10px;
  margin-bottom: 20px;
  border: 1px solid #eaeaea;
}
.teaching-approach-card:last-child{
  margin-bottom: 0;
}
.pain-points, .resolutions{
  font-size: 12px;
  font-weight: 500;
  text-transform: uppercase;
  margin-bottom: 10px;
  padding: 3px 10px;
  border-radius: 3px;
}
.pain-points{
  background: var(--default-text);
  color: var(--light-text);
}
.resolutions{
  background: #19883d;
  color: var(--light-text);
}
.pain-points i, .resolutions i{
  margin-right: 5px;
}
.teaching-approach-card h2{
  color: var(--dark-text);
  font-size: 17px;
  font-weight: 600;
  margin-bottom:5px;
  margin-top: 10px;
}
.teaching-approach-card h3{
  font-size: 17px;
  font-weight: 600;
  margin-bottom:5px;
  color: var(--dark-text);
  margin-top: 10px;
}
.teaching-approach-card p{
  font-size: 16px;
  color: var(--dark-text);
  margin-bottom: 20px;
  font-weight: 500;
}
.teaching-approach-card p:last-child{
  margin-bottom: 0;
}

/*===============================================
---------------- Students Review ----------------
===============================================*/
.student-reviews-wrap{
  padding: 5em 0 1em 0;
}
.student-review-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:30px;
  align-items:stretch;
}
.student-review-card{
  background: #f8f8f8;
  padding: 25px;
  border-radius:10px;
  position:relative;
  height:100%;
  display:flex;
  flex-direction:column;
  border: 1px solid #eaeaea;
}
.quote-icon{
  color:#ff0013;
  font-size:50px;
  margin-bottom:10px;
}
.student-review-content p{
  font-size: 16px;
  font-weight: 500;
  color:var(--dark-text);
  margin-bottom: 25px;
}
.student-info{
  display:flex;
  align-items:center;
  gap:15px;
  margin-top:30px;
  padding-top:25px;
  border-top:1px solid #e0e0e0;
  margin-top:auto;
}
.student-avatar{
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: var(--default-color);
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--contrast-color);
  font-size: 18px;
}
.student-info h4{
  margin:0;
  font-weight: 600;
  font-size: 16px;
}

/*===============================================
------------------ Contact Me -------------------
===============================================*/
.contactme-wrap{
 padding: 5em 0 4em 0;
}
.contact-img{
  position: relative;
}
.contact-img img{
 width: 100%;
 display: block;
}
.contact-img p{
  position: absolute;
  top: 7%;
  left: 7%;
  font-size: 28px;
  font-weight: 800;
  color: var(--light-text);
}
.img-credit-wrap{
  margin-top: 10px;
  display: flex;
  align-items: top;
  column-gap: 15px;
}
.img-credit-wrap img{
  max-width: 25%;
}
.img-credit-wrap span{
 font-size: 15px;
 font-weight: 500;
}
.contact-info ul{
  list-style: none;
}
.contact-info li{
  margin-bottom: 8px;
  color: var(--dark-text);
  font-size: 16px;
  font-weight: 500;
  display: flex;
  align-items: center;
}
.contact-info a{
  color: var(--dark-text);
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
}
.contact-info a:hover{
  text-decoration: none;
  color: var(--dark-text);
}
.contact-info i{
  color: var(--default-color);
  font-size: 16px;
  margin-right: 10px;
}


/*===============================================
---------------- Responsive Css -----------------
===============================================*/
@media screen and (min-width: 1400px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    max-width: 1220px;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px){
  .hero-section {
    position: relative;
  }
  .carousel-control-btn{
    position: absolute;
    bottom: -8%;
    right: 0%;
    width: 25px;
    height: 25px;
    border: none;
    border-radius: 3px;
    background: #ff0013;
    color: #fff;
    font-size: 11px;
    cursor: pointer;
  }  
  .hero-section .carousel-control-prev {
    left: -5%;
  }
  .hero-section .carousel-control-next {
    right: -5%;
  }
}
@media screen and (max-width:991px){
  .student-review-grid{
    grid-template-columns:1fr;
  }
}
@media screen and (max-width: 767px){
  .section-header h2 {
    font-size: 27px;
    margin-bottom: 30px;
  }
  .section-header p {
    font-size: 16px;
  }
  .header .logo img {
    max-width: 56%;
  } 
  .floating-cta, #backToTop{
    display: none;
  }
  .floating-cta.mobile-view{
    position: fixed;
    top: 25px;
    right: 62px;
    transform: unset;
    z-index: unset;
    display: flex !important;
    flex-direction: row;
    gap: 15px;
  }
  .floating-cta.mobile-view .cta-btn{
    width:35px;
    height:35px;
  }
  .hero-section .carousel-control-next, .hero-section .carousel-control-prev{
    display: none;
  }   
  .hero-slider-wrap {
    padding: 1em 0 4em 0;
  }
  .hero-slider-text{
    text-align: center;
  }
  .hero-slider-text h2 {
    font-size: 26px;
    margin-bottom: 1px;
  }
  .hero-slider-text p{
    font-size: 16px;
  }
  .hero-section .carousel{
    padding: 5px;
    border-radius: 3px;
  }
  .hero-section .carousel-indicators {
    bottom: -47px;
    margin-bottom: 10px;
  }
  .carousel-control-btn{
    position: absolute;
    bottom: 8%;
    right: 3%;
    width: 25px;
    height: 25px;
    border: none;
    border-radius: 3px;
    background: #ff0013;
    color: #fff;
    font-size: 11px;
    cursor: pointer;
  }
  .ribbon-text-left {
    flex-wrap: wrap;
    gap: 10px;
    column-gap: 15px;
    justify-content: center;
  }
  .ribbon-text-left p {
    font-size: 20px;
  }
  .ribbon-wrap {
    padding: 15px 0;
  }
  .aboutME-content {
    padding-right: unset;
  }
  .contact-img p {
    font-size: 18px;
  }
  .contact-info{
    margin-top: 20px;
  }
  .contact-info ul{
    padding-left: 0;
  }
  .footer-wrap .d-flex{
    flex-direction: column;
    gap: 15px;
  }
  .section-card-banner h2 {
    font-size: 22px;
  }
  .main-heading h2 {
    font-size: 16px;
  }
  .student-review-grid{
    grid-template-columns:1fr;
  }
  .aboutMe-wrapper, .teaching-approach-wrap, .student-reviews-wrap, .contactme-wrap{
   padding-top: 3em;
 }
 .contactme-wrap {
   padding-bottom: 1em;
 }
 .cta-btn i.fa-phone {
   font-size: 14px;
 }
}
